(function ($) {
  Drupal.behaviors.sonr_webmining  = {
    attach: function () {

      // Show/Hide additional fields if a checkbox is enabled/disabled
      $("#sonr-webmining-configuration-set-form").bind("state:visible", function(e) {
        if(e.trigger) {
          $(e.target).closest(".form-item, .form-submit, .form-wrapper")[e.value ? "slideDown" : "slideUp"]();
          e.stopPropagation();
        }
      });

      // Show/Hide additional information to a selected value if available.
      $("#edit-time-filter").change(function() {
        $("#edit-date-info")[$(this).val() == "from_to_textfields" ? 'slideDown' : 'slideUp']();
      });
      $("#edit-add-trends").change(function() {
        $("#edit-trends-info")[$(this).is(":checked") ? 'slideDown' : 'slideUp']();
      });

      // Make the project tables sortable if tablesorter is available.
      if ($.isFunction($.fn.tablesorter)) {
        $("table#sonr-webmining-configurations-table").tablesorter({
          widgets: ["zebra"],
          widgetOptions: {
            zebra: ["odd", "even"]
          },
          sortList: [[0, 0]],
          headers: {
            5: { sorter: false }
          }
        });
        $("table#sonr-webmining-sync-table").tablesorter({
          widgets: ["zebra"],
          widgetOptions: {
            zebra: ["odd", "even"]
          },
          sortList: [[0, 0]],
          headers: {
            2: { sorter: false }
          }
        });
      }

    }
  };

})(jQuery);
